{VERSION 1 1 "MS-Windows" "1.0"}{GLOBALS 3 2}{FONT 0 "Avalon" "Av
alon" "Helvetica-Bold" 7 12 0 "Helvetica-Bold" 12{COLOR "000080"}
}{FONT 1 "Avalon" "Avalon" "Helvetica-Bold" 7 12 0 "Helvetica-Bol
d" 12{COLOR "800000"}}{FONT 2 "Avalon" "Avalon" "Courier" 4 12 
128 "Courier" 12{COLOR "000000"}}{SCP_R 0 0 59{SCP_R 1 0 9{COM_R 
3 0{TEXT 1 42 "CONSTRUCTION DE FRACTALS A L'AIDE D'UN IFS"}}
{COM_R 6 0{TEXT 1 0 ""}}{COM_R 9 0{TEXT 1 3 "de "}}{COM_R 12 0
{TEXT 1 15 "Alain Schauber "}}{COM_R 15 0{TEXT 1 27 "Professeur d
e Maths en MPSI"}}{COM_R 18 0{TEXT 1 16 "Lyce Jean-Moulin"}}
{COM_R 21 0{TEXT 1 20 "57600 Forbach/France"}}{COM_R 24 0{TEXT 1 
26 "E-mail: aschau@worldnet.fr"}}{COM_R 27 0{TEXT 1 0 ""}}}{SCP_R
 29 0 11{INP_R 31 0 "> "{TEXT 0 30 "line := proc(a: list, b: list
)"}}{INP_R 34 0 "> "{TEXT 0 59 "   # substitute for Release 4 plo
toptions/line in Release 3"}}{INP_R 37 0 "> "{TEXT 0 25 "   local
 plotoptionen, n;"}}{INP_R 40 0 "> "{TEXT 0 19 "   if nargs >2 th
en"}}{INP_R 43 0 "> "{TEXT 0 48 "      plotoptionen := seq(args[n
], n=3 .. nargs)"}}{INP_R 46 0 "> "{TEXT 0 8 "   else "}}{INP_R 
49 0 "> "{TEXT 0 26 "      plotoptionen := NULL"}}{INP_R 52 0 "> \+
"{TEXT 0 6 "   fi;"}}{INP_R 55 0 "> "{TEXT 0 42 "   plot([a, b], \+
style=line, plotoptionen);"}}{INP_R 58 0 "> "{TEXT 0 4 "end:"}}
{OUT_R 61 0 58{TEXT 2 1 "\012"}}}{SCP_R 63 0 2{INP_R 65 0 "> "
{TEXT 0 12 "with(plots):"}}{OUT_R 68 0 65{TEXT 2 1 "\012"}}}
{SCP_R 70 0 3{COM_R 72 0{TEXT 1 77 "Visualisation des premi\350re
s \351tapes de la construction de l'ensemble de Cantor"}}{INP_R 
75 0 "> "{TEXT 0 52 "cree_segment:=(a,b,h)->line([a,h],[b,h],colo
r=red): "}}{OUT_R 78 0 75{TEXT 2 1 "\012"}}}{SCP_R 80 0 2{COM_R 
82 0{TEXT 1 47 "dessine un segment d'extr\351mit\351s a et b sur \+
(Ox)"}}{OUT_R 85 0 0{TEXT 2 1 "\012"}}}{SCP_R 87 0 2{INP_R 89 0 "
> "{TEXT 0 27 "f1:=x->x/3: f2:=x->(x+2)/3:"}}{OUT_R 92 0 89{TEXT 
2 1 "\012"}}}{SCP_R 94 0 2{INP_R 96 0 "> "{TEXT 0 69 "f:=s->s uni
on map(f1,s) union map(f2,s): # f est la fonction de l'IFS"}}
{OUT_R 99 0 96{TEXT 2 1 "\012"}}}{SCP_R 101 0 9{INP_R 103 0 "> "
{TEXT 0 32 "sequence_de_segments:=proc(l,h) "}}{INP_R 106 0 "> "
{TEXT 0 56 "# cette proc\351dure cr\351e la s\351quence des segme
nts \340 tracer"}}{INP_R 109 0 "> "{TEXT 0 13 "local accu,i;"}}
{INP_R 112 0 "> "{TEXT 0 11 "accu:=NULL;"}}{INP_R 115 0 "> "{TEXT
 0 24 "for i to nops(l) by 2 do"}}{INP_R 118 0 "> "{TEXT 0 42 "ac
cu:=accu,cree_segment(l[i],l[i+1],h) od;"}}{INP_R 121 0 "> "{TEXT
 0 4 "accu"}}{INP_R 124 0 "> "{TEXT 0 4 "end:"}}{OUT_R 127 0 124
{TEXT 2 1 "\012"}}}{SCP_R 129 0 12{INP_R 131 0 "> "{TEXT 0 26 "Ca
ntor:=proc(n) local s,i;"}}{INP_R 134 0 "> "{TEXT 0 16 "option re
member;"}}{INP_R 137 0 "> "{TEXT 0 33 "s:=sequence_de_segments([0
,1],0);"}}{INP_R 140 0 "> "{TEXT 0 20 "for i from 1 to n do"}}
{INP_R 143 0 "> "{TEXT 0 56 "s:=s,sequence_de_segments(sort([op((
f@@i)(\{0,1\}))]),i/n)"}}{INP_R 146 0 "> "{TEXT 0 3 "od;"}}{INP_R
 149 0 "> "{TEXT 0 78 "display(\{s\}union\{seq(textplot([[0,i/n,`
0`],[1,i/n,`1`]],align=ABOVE),i=0..n)\},"}}{INP_R 152 0 "> "{TEXT
 0 33 "color=blue,axes=NONE,thickness=0)"}}{INP_R 155 0 "> "{TEXT
 0 76 "#(f@@n)(\{0,1\}) correspond aux extr\351mit\351s des segme
nts qui forment la figure "}}{INP_R 158 0 "> "{TEXT 0 30 "#obtenu
e \340 la n-i\350me it\351ration"}}{INP_R 161 0 "> "{TEXT 0 4 "en
d:"}}{OUT_R 164 0 161{TEXT 2 1 "\012"}}}{SCP_R 166 0 2{INP_R 168 
0 "> "{TEXT 0 10 "Cantor(3);"}}{OUT_R 171 0 168{TEXT 2 1 "\012"}}
}{SCP_R 173 0 2{INP_R 175 0 "> "{TEXT 0 10 "Cantor(6);"}}{OUT_R 
178 0 175{TEXT 2 1 "\012"}}}{SCP_R 180 0 3{COM_R 182 0{TEXT 1 67 
"Construction de fractals planes remarquables par it\351ration d'
un IFS"}}{COM_R 185 0{TEXT 1 0 ""}}{COM_R 188 0{TEXT 1 36 "Mise e
n place des outils d'affichage"}}}{SCP_R 190 0 6{INP_R 192 0 "> "
{TEXT 0 28 "transforme_point:=proc(t,p) "}}{INP_R 195 0 "> "{TEXT
 0 72 "# proc\351dure calculant l'image du point p par l'applicat
ion affine cod\351e "}}{INP_R 198 0 "> "{TEXT 0 36 "# par sa list
e t de ses coefficients"}}{INP_R 201 0 "> "{TEXT 0 51 "[t[1]*p[1]
+t[2]*p[2]+t[5],t[3]*p[1]+t[4]*p[2]+t[6]]"}}{INP_R 204 0 "> "
{TEXT 0 4 "end:"}}{OUT_R 207 0 204{TEXT 2 1 "\012"}}}{SCP_R 209 0
 5{INP_R 211 0 "> "{TEXT 0 47 "transforme_triangle:=proc(t,triang
le) local i; "}}{INP_R 214 0 "> "{TEXT 0 89 "# proc\351dure analo
gue \340 la pr\351c\351dente, mais s'appliquant \340 un triangle \+
(liste de 3 points)"}}{INP_R 217 0 "> "{TEXT 0 45 "[seq(transform
e_point(t,triangle[i]),i=1..3)]"}}{INP_R 220 0 "> "{TEXT 0 4 "end
:"}}{OUT_R 223 0 220{TEXT 2 1 "\012"}}}{SCP_R 225 0 19{COM_R 227 
0{TEXT 1 42 "Proc\351dure permettant l''it\351ration de l'IFS"}}
{INP_R 230 0 "> "{TEXT 0 37 "IFS:=proc(n,liste_de_transformations
)"}}{INP_R 233 0 "> "{TEXT 0 95 "# n est le nombre d'it\351ration
s \340 r\351aliser sur la figure initiale, liste_de_transformatio
ns est "}}{INP_R 236 0 "> "{TEXT 0 59 "# la liste des transformat
ions planes qui constituent l'IFS"}}{INP_R 239 0 "> "{TEXT 0 44 "
local i,j,k,s,sequence_de_triangles:exprseq;"}}{INP_R 242 0 "> "
{TEXT 0 51 "# d\351finition du triangle formant la figure initial
e"}}{INP_R 245 0 "> "{TEXT 0 45 "sequence_de_triangles:=[[0,0],[1
,0],[0.5,1]];"}}{INP_R 248 0 "> "{TEXT 0 68 "# boucle de n pas cr
\351ant la s\351quence des petits triangles \340 dessiner"}}
{INP_R 251 0 "> "{TEXT 0 13 "for j to n do"}}{INP_R 254 0 "> "
{TEXT 0 8 "s:=NULL;"}}{INP_R 257 0 "> "{TEXT 0 42 "for i to nops(
liste_de_transformations) do"}}{INP_R 260 0 "> "{TEXT 0 88 "s:=s,
seq(transforme_triangle(liste_de_transformations[i],op(k,[sequenc
e_de_triangles])),"}}{INP_R 263 0 "> "{TEXT 0 39 "k=1..nops([sequ
ence_de_triangles])) od;"}}{INP_R 266 0 "> "{TEXT 0 24 "sequence_
de_triangles:=s"}}{INP_R 269 0 "> "{TEXT 0 3 "od;"}}{INP_R 272 0 
"> "{TEXT 0 39 "# calcul de la figure obtenue au rang n"}}{INP_R 
275 0 "> "{TEXT 0 78 "polygonplot([sequence_de_triangles],axes=NO
NE,color=BLACK,scaling=CONSTRAINED)"}}{INP_R 278 0 "> "{TEXT 0 4 
"end:"}}{OUT_R 281 0 278{TEXT 2 1 "\012"}}}{SCP_R 283 0 2{COM_R 
285 0{TEXT 1 59 "D\351finition de divers IFS ayant des attracteur
s remarquables"}}{OUT_R 288 0 0{TEXT 2 1 "\012"}}}{SCP_R 290 0 3
{INP_R 292 0 "> "{TEXT 0 21 "tamis_de_Sierpinski:="}}{INP_R 295 0
 "> "{TEXT 0 63 "[[0.5,0,0,0.5,0,0],[0.5,0,0,0.5,0.5,0],[0.5,0,0,
0.5,0.25,0.5]]:"}}{OUT_R 298 0 295{TEXT 2 1 "\012"}}}{SCP_R 300 0
 3{INP_R 302 0 "> "{TEXT 0 22 "arbre_de_Noel_double:="}}{INP_R 
305 0 "> "{TEXT 0 58 "[[0,-.5,.5,0,.5,0],[0,.5,-.5,0,.5,.5],[.5,0
,0,.5,.25,.5]]:"}}{OUT_R 308 0 305{TEXT 2 1 "\012"}}}{SCP_R 310 0
 4{INP_R 312 0 "> "{TEXT 0 26 "labyrinthe_de_Sierpinski:="}}
{INP_R 315 0 "> "{TEXT 0 83 "[[evalf(1/3),0,0,evalf(1/3),evalf(1/
3),evalf(2/3)],[0,evalf(1/3),1,0,evalf(2/3),0],"}}{INP_R 318 0 ">
 "{TEXT 0 34 "[0,-evalf(1/3),1,0,evalf(1/3),0]]:"}}{OUT_R 321 0 
318{TEXT 2 1 "\012"}}}{SCP_R 323 0 3{INP_R 325 0 "> "{TEXT 0 8 "r
ameau:="}}{INP_R 328 0 "> "{TEXT 0 104 "[[.387,.430,.430,-.387,.2
560,.5220],[.441,-.091,-.009,-.322,.4219,.5059],[-.468,.020,-.113
,.015,.4,.4]]:"}}{OUT_R 331 0 328{TEXT 2 1 "\012"}}}{SCP_R 333 0 
4{INP_R 335 0 "> "{TEXT 0 9 "cristal:="}}{INP_R 338 0 "> "{TEXT 0
 85 "[[.255,0,0,.255,.3726,.6714],[.255,0,0,.255,.1146,.2232],[.2
55,0,0,.255,.6306,.2232],"}}{INP_R 341 0 "> "{TEXT 0 35 "[.37,-.6
42,.642,.37,.6356,-.0061]]:"}}{OUT_R 344 0 341{TEXT 2 1 "\012"}}}
{SCP_R 346 0 4{INP_R 348 0 "> "{TEXT 0 8 "mecano:="}}{INP_R 351 0
 "> "{TEXT 0 84 "[[.382,0,0,.382,.3072,.619],[.382,0,0,.382,.6033
,.4044],[.382,0,0,.382,.0139,.4044],"}}{INP_R 354 0 "> "{TEXT 0 
56 "[.382,0,0,.382,.1253,.0595],[.382,0,0,.382,.492,.0595]]:"}}
{OUT_R 357 0 354{TEXT 2 1 "\012"}}}{SCP_R 359 0 5{INP_R 361 0 "> \+
"{TEXT 0 5 "feu:="}}{INP_R 364 0 "> "{TEXT 0 91 "[[evalf(1/3),0,0
,evalf(1/3),0,0],[evalf(1/6),evalf(-sqrt(3)/6),evalf(sqrt(3)/6),e
valf(1/6),"}}{INP_R 367 0 "> "{TEXT 0 88 "evalf(1/3),0],[evalf(-1
/6),evalf(-sqrt(3)/6),evalf(sqrt(3)/6),evalf(-1/6),evalf(2/3),0],
"}}{INP_R 370 0 "> "{TEXT 0 42 "[evalf(1/3),0,0,evalf(1/3),evalf(
2/3),0]]:"}}{OUT_R 373 0 370{TEXT 2 1 "\012"}}}{SCP_R 375 0 4
{INP_R 377 0 "> "{TEXT 0 7 "arbre:="}}{INP_R 380 0 "> "{TEXT 0 71
 "[[.195,-.488,.344,.443,.4431,.2452],[.462,.414,-.252,.361,.2511
,.5692],"}}{INP_R 383 0 "> "{TEXT 0 101 "[-.058,-.07,.453,-.11,.5
976,.0969],[-.035,.07,-.469,-.022,.4884,.5069],[-.637,0,0,.501,.8
562,.2513]]:"}}{OUT_R 386 0 383{TEXT 2 1 "\012"}}}{SCP_R 388 0 3
{INP_R 390 0 "> "{TEXT 0 74 "test1 := [[.382,0,0,.382,.3072,.619]
, [.462,.414,-.252,.361,.2511,.5692], "}}{INP_R 393 0 "> "{TEXT 0
 110 "[.37,-.642,.642,.37,.6356,-.0061], [evalf(-1/6),evalf(-sqrt
(3)/6),evalf(sqrt(3)/6),evalf(-1/6),evalf(2/3),0]]:"}}{OUT_R 396 
0 393{TEXT 2 1 "\012"}}}{SCP_R 398 0 2{INP_R 400 0 "> "{TEXT 0 78
 "ensemble_de_Cantor1:=[[evalf(1/3),0,0,0,0,0],[evalf(1/3),0,0,0,
evalf(2/3),0]]:"}}{OUT_R 403 0 400{TEXT 2 1 "\012"}}}{SCP_R 405 0
 2{INP_R 407 0 "> "{TEXT 0 96 "ensemble_de_Cantor2:=[[evalf(1/3),
0,0,evalf(1/3),0,0],[evalf(1/3),0,0,evalf(1/3),evalf(2/3),0]]:"}}
{OUT_R 410 0 407{TEXT 2 1 "\012"}}}{SCP_R 412 0 4{INP_R 414 0 "> \+
"{TEXT 0 21 "fougere_de_Barnsley:="}}{INP_R 417 0 "> "{TEXT 0 97 
"[[.849,.037,-.037,.849,.075,.183],[.197,-.226,.226,.197,.4,.049]
,[-.15,.283,.26,.237,.575,-.084],"}}{INP_R 420 0 "> "{TEXT 0 18 "
[0,0,0,.16,.5,0]]:"}}{OUT_R 423 0 420{TEXT 2 1 "\012"}}}{SCP_R 
425 0 4{INP_R 427 0 "> "{TEXT 0 21 "fougere_plus_simple:="}}
{INP_R 430 0 "> "{TEXT 0 100 "[[.781,.034,-.032,.739,.1075,.27],[
.17,-.215,.222,.176,.408,.0893],[-.139,.263,.246,.224,.57,-.036],
"}}{INP_R 433 0 "> "{TEXT 0 18 "[0,0,0,.27,.5,0]]:"}}{OUT_R 436 0
 433{TEXT 2 1 "\012"}}}{SCP_R 438 0 7{INP_R 440 0 "> "{TEXT 0 10 
"maple1 := "}}{INP_R 443 0 "> "{TEXT 0 44 "[[0.352, 0.355, -0.355
, 0.352, 0.354, 0.5], "}}{INP_R 446 0 "> "{TEXT 0 45 " [0.353, -0
.354, 0.354, 0.353, 0.288, 0.153],"}}{INP_R 449 0 "> "{TEXT 0 31 
" [0.5, 0, 0, 0.5, 0.24, 0.462],"}}{INP_R 452 0 "> "{TEXT 0 44 " \+
[0.502, -0.002, 0.002, 0.588, 0.25, 0.105],"}}{INP_R 455 0 "> "
{TEXT 0 36 " [0.004, 0, 0, 0.578, 0.501, 0.06]]:"}}{OUT_R 458 0 
455{TEXT 2 1 "\012"}}}{SCP_R 460 0 7{INP_R 462 0 "> "{TEXT 0 10 "
maple2 := "}}{INP_R 465 0 "> "{TEXT 0 36 "[[0.29, 0.4, -0.4, 0.3,
 0.28, 0.44],"}}{INP_R 468 0 "> "{TEXT 0 35 " [0.33, -0.34, 0.39,
 0.4, 0.41, 0],"}}{INP_R 471 0 "> "{TEXT 0 32 " [0.42, 0, 0, 0.63
, 0.29, 0.36],"}}{INP_R 474 0 "> "{TEXT 0 32 " [0.61, 0, 0, 0.61,
 0.19, 0.23],"}}{INP_R 477 0 "> "{TEXT 0 32 " [0.01, 0, 0, 0.29, \+
0.5, 0.13]]:"}}{OUT_R 480 0 477{TEXT 2 1 "\012"}}}{SCP_R 482 0 6
{INP_R 484 0 "> "{TEXT 0 9 "tab15 := "}}{INP_R 487 0 "> "{TEXT 0 
39 "[[-0.04, 0, -0.23, -0.65, -0.08, 0.26],"}}{INP_R 490 0 "> "
{TEXT 0 31 " [0.61, 0, 0, 0.31, 0.07, 2.5],"}}{INP_R 493 0 "> "
{TEXT 0 38 " [0.65, 0.29, -0.3, 0.48, 0.54, 0.39],"}}{INP_R 496 0
 "> "{TEXT 0 39 " [0.64, -0.3, 0.16, 0.56, -0.56, 0.4]]:"}}{OUT_R
 499 0 496{TEXT 2 1 "\012"}}}{SCP_R 501 0 6{INP_R 503 0 "> "{TEXT
 0 6 "koch:="}}{INP_R 506 0 "> "{TEXT 0 38 "[[evalf(1/3), 0, 0, e
valf(1/3), 0, 0],"}}{INP_R 509 0 "> "{TEXT 0 45 "[evalf(1/3), 0, \+
0, evalf(1/3), evalf(2/3),0],"}}{INP_R 512 0 "> "{TEXT 0 72 "[eva
lf(1/6),evalf(-sqrt(3)/6),evalf(sqrt(3)/6),evalf(1/6),evalf(1/3),
0],"}}{INP_R 515 0 "> "{TEXT 0 73 "[-evalf(1/6),evalf(sqrt(3)/6),
evalf(sqrt(3)/6),evalf(1/6),evalf(2/3),0]]:"}}{OUT_R 518 0 515
{TEXT 2 1 "\012"}}}{SCP_R 520 0 5{INP_R 522 0 "> "{TEXT 0 9 "tab2
1 := "}}{INP_R 525 0 "> "{TEXT 0 22 "[[0, 0, 0, 0.5, 0, 0],"}}
{INP_R 528 0 "> "{TEXT 0 31 " [0.4, -0.4, 0.4, 0.4, 0, 0.2],"}}
{INP_R 531 0 "> "{TEXT 0 32 " [0.4, 0.4, -0.4, 0.4, 0, 0.2]]:"}}
{OUT_R 534 0 531{TEXT 2 1 "\012"}}}{SCP_R 536 0 3{COM_R 538 0
{TEXT 1 57 "Exemples de construction progressive d'un fractal par
 IFS"}}{INP_R 541 0 "> "{TEXT 0 27 "IFS(8,tamis_de_Sierpinski);"}
}{OUT_R 544 0 541{TEXT 2 1 "\012"}}}{SCP_R 546 0 2{INP_R 548 0 ">
 "{TEXT 0 28 "IFS(7,arbre_de_Noel_double);"}}{OUT_R 551 0 548
{TEXT 2 1 "\012"}}}{SCP_R 553 0 2{INP_R 555 0 "> "{TEXT 0 32 "IFS
(6,labyrinthe_de_Sierpinski);"}}{OUT_R 558 0 555{TEXT 2 1 "\012"}
}}{SCP_R 560 0 2{INP_R 562 0 "> "{TEXT 0 14 "IFS(7,rameau);"}}
{OUT_R 565 0 562{TEXT 2 1 "\012"}}}{SCP_R 567 0 2{INP_R 569 0 "> \+
"{TEXT 0 15 "IFS(5,cristal);"}}{OUT_R 572 0 569{TEXT 2 1 "\012"}}
}{SCP_R 574 0 1{INP_R 576 0 "> "{TEXT 0 14 "IFS(4,mecano);"}}}
{SCP_R 578 0 2{INP_R 580 0 "> "{TEXT 0 11 "IFS(6,feu);"}}{OUT_R 
583 0 580{TEXT 2 1 "\012"}}}{SCP_R 585 0 2{INP_R 587 0 "> "{TEXT 
0 13 "IFS(5,arbre);"}}{OUT_R 590 0 587{TEXT 2 1 "\012"}}}{SCP_R 
592 0 2{INP_R 594 0 "> "{TEXT 0 27 "IFS(1,ensemble_de_Cantor1);"}
}{OUT_R 597 0 594{TEXT 2 1 "\012"}}}{SCP_R 599 0 2{INP_R 601 0 ">
 "{TEXT 0 27 "IFS(4,ensemble_de_Cantor2);"}}{OUT_R 604 0 601{TEXT
 2 1 "\012"}}}{SCP_R 606 0 2{INP_R 608 0 "> "{TEXT 0 27 "IFS(6,fo
ugere_de_Barnsley);"}}{OUT_R 611 0 608{TEXT 2 1 "\012"}}}{SCP_R 
613 0 2{INP_R 615 0 "> "{TEXT 0 27 "IFS(6,fougere_plus_simple);"}
}{OUT_R 618 0 615{TEXT 2 1 "\012"}}}{SCP_R 620 0 1{INP_R 622 0 ">
 "{TEXT 0 13 "IFS(6,test2);"}}}{SCP_R 624 0 1{INP_R 626 0 "> "
{TEXT 0 15 "IFS(5, maple1);"}}}{SCP_R 628 0 2{INP_R 630 0 "> "
{TEXT 0 15 "IFS(5, maple2);"}}{OUT_R 633 0 630{TEXT 2 1 "\012"}}}
{SCP_R 635 0 1{INP_R 637 0 "> "{TEXT 0 14 "IFS(6, tab15);"}}}
{SCP_R 639 0 1{INP_R 641 0 "> "{TEXT 0 14 "IFS(8, tab21);"}}}
{SCP_R 643 0 2{INP_R 645 0 "> "{TEXT 0 13 "IFS(6, koch);"}}{OUT_R
 648 0 645{TEXT 2 1 "\012"}}}{SCP_R 650 0 22{INP_R 652 0 "> "
{TEXT 0 22 "choix_en_fonction_de:="}}{INP_R 655 0 "> "{TEXT 0 52 
"proc(liste_de_probabilites,liste_de_transformations)"}}{INP_R 
658 0 "> "{TEXT 0 73 "# proc\351dure permettant, pour une it\351r
ation donn\351e, de choisir au hasard, "}}{INP_R 661 0 "> "{TEXT 
0 55 "# en fonction des probabilit\351s de chacune d'entre elles"
}}{INP_R 664 0 "> "{TEXT 0 38 "# (list\351es dans liste_de_probab
ilit\351s)"}}{INP_R 667 0 "> "{TEXT 0 48 "# la transformation \34
0 appliquer au point courant"}}{INP_R 670 0 "> "{TEXT 0 31 "local
 nombre_au_hasard,m,i,t,p;"}}{INP_R 673 0 "> "{TEXT 0 61 "# const
ruction classique d'une probabilit\351 discr\350te par test "}}
{INP_R 676 0 "> "{TEXT 0 67 "# de l'appartenance d'un nombre g\35
1n\351r\351 al\351atoirement par la machine"}}{INP_R 679 0 "> "
{TEXT 0 70 "# \340 un \351l\351ment d'une partition adapt\351e de
 l'ensemble de ses occurences"}}{INP_R 682 0 "> "{TEXT 0 25 "nomb
re_au_hasard:=rand();"}}{INP_R 685 0 "> "{TEXT 0 5 "p:=0;"}}
{INP_R 688 0 "> "{TEXT 0 39 "for i to nops(liste_de_probabilites)
 do"}}{INP_R 691 0 "> "{TEXT 0 30 "if p*10^12 <= nombre_au_hasard
"}}{INP_R 694 0 "> "{TEXT 0 57 "and nombre_au_hasard < (p+liste_d
e_probabilites[i])*10^12"}}{INP_R 697 0 "> "{TEXT 0 46 "then t:=l
iste_de_transformations[i]; break fi;"}}{INP_R 700 0 "> "{TEXT 0 
29 "p:=p+liste_de_probabilites[i]"}}{INP_R 703 0 "> "{TEXT 0 3 "o
d;"}}{INP_R 706 0 "> "{TEXT 0 27 "# verdict rendu par le test"}}
{INP_R 709 0 "> "{TEXT 0 1 "t"}}{INP_R 712 0 "> "{TEXT 0 4 "end:"
}}{OUT_R 715 0 712{TEXT 2 1 "\012"}}}{SCP_R 717 0 15{COM_R 719 0
{TEXT 1 49 "Le g\351n\351rateur al\351atoire de l''attracteur d'u
n IFS"}}{INP_R 722 0 "> "{TEXT 0 69 "IFS_ergodique:=proc(n,liste_
de_probabilites,liste_de_transformations)"}}{INP_R 725 0 "> "
{TEXT 0 30 "local point,liste_de_points,i;"}}{INP_R 728 0 "> "
{TEXT 0 88 "# d\351finition du point initial et de la liste initi
ale des points qui composent la figure"}}{INP_R 731 0 "> "{TEXT 0
 14 "point:=[.5,0];"}}{INP_R 734 0 "> "{TEXT 0 25 "liste_de_point
s:=[point];"}}{INP_R 737 0 "> "{TEXT 0 80 "# analogue \340 IFS, m
ais appliqu\351 \340 un point et en choisissant \340 chaque it\35
1ration "}}{INP_R 740 0 "> "{TEXT 0 45 "# al\351atoirement la tra
nsformation \340 appliquer"}}{INP_R 743 0 "> "{TEXT 0 21 "for i t
o n do point:="}}{INP_R 746 0 "> "{TEXT 0 93 "transforme_point(ch
oix_en_fonction_de(liste_de_probabilites,liste_de_transformations
),point);"}}{INP_R 749 0 "> "{TEXT 0 44 "liste_de_points:=[op(lis
te_de_points),point]"}}{INP_R 752 0 "> "{TEXT 0 3 "od;"}}{INP_R 
755 0 "> "{TEXT 0 88 "plot(liste_de_points,style=POINT,symbol=POI
NT,axes=NONE,color=BLACK,scaling=CONSTRAINED)"}}{INP_R 758 0 "> "
{TEXT 0 4 "end:"}}{OUT_R 761 0 758{TEXT 2 1 "\012"}}}{SCP_R 763 0
 3{COM_R 765 0{TEXT 1 53 "Quelques exemples, pour comparer IFS et
 IFS_ergodique"}}{INP_R 768 0 "> "{TEXT 0 59 "IFS_ergodique(10000
,[.73,.13,.11,.03],fougere_de_Barnsley);"}}{OUT_R 771 0 768{TEXT 
2 1 "\012"}}}{SCP_R 773 0 1{INP_R 775 0 "> "{TEXT 0 44 "IFS_ergod
ique(1000,[.2,.2,.2,.2,.2],mecano);"}}}{SCP_R 777 0 1{INP_R 779 0
 "> "{TEXT 0 57 "IFS_ergodique(5000,[.7,.13,.15,.02],fougere_plus
_simple);"}}}{SCP_R 781 0 1{INP_R 783 0 "> "{TEXT 0 54 "IFS_ergod
ique(1000,[1/3,1/3,1/3],tamis_de_Sierpinski);"}}}{SCP_R 785 0 1
{INP_R 787 0 "> "{TEXT 0 51 "IFS_ergodique(1000,[.1,.3,.6],tamis_
de_Sierpinski);"}}}}{END}
